#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           aqfoxext
Version:	0.9.9
Release:	1.1
License:	GPL-2.0
Summary:	Fox extension used by AqFinance
Url:		http://www.aquamaniac.de/
Group:		System/Libraries/C and C++
Source:		%{name}-%{version}beta.tar.gz
BuildRequires:	autoconf automake gwenhywfar-devel pkgconfig gcc-c++ fox16-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fox extension used by AqFinance and AqRadBase

%package -n lib%{name}0
Summary:	Fox extension used by AqFinance
Group:		System/Libraries/C and C++
Requires:	%{name} >= %{version}

%description -n lib%{name}0
Fox extension used by AqFinance and AqRadBase

%package devel
Summary:	Development files fr AqFoxExt
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	lib%{name}0 = %{version}
Requires:	fox16-devel gwenhywfar-devel

%description devel
Development files for AqFinance Fox extension

%prep
%setup -q -n %{name}-%{version}beta

%build
%configure
make build_sources
make %{?_smp_mflags}

%install
%make_install
rm $RPM_BUILD_ROOT%{_libdir}/lib%{name}.{a,la}

%post -n lib%{name}0
/sbin/ldconfig

%postun -n lib%{name}0
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_datadir}/%{name}

%files -n lib%{name}0
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Jan 14 2014 jcnengel@gmail.com
- Initial checkin
